# Manual do usuario de KDE

&Lauri.Watts; &Lauri.Watts.mail;
2004-02-02
O sistema de escritorio K
qtoptions
7

# qtoptions

Opcións habituais da liña de comandos para todos os programas baseados nas bibliotecas Qt

    Programa baseado en Qt Opcións xenéricas de Qt

## Opcións

As seguintes opcións son de aplicación a todos os programas baseados en &Qt;:

`--display` `nomeDisplay`

  Usa o display `nomeDisplay` do servidor das X.

`--session` `sessionId`

  Restaura o programa para a `sessionId` que se indica.

`--cmap`

  Fai que o programa instale un mapa de cores privado nun display de 8-bits.

`--ncols` `número`

  Limita o número de cores reservadas no cubo de cores dun display de 8-bits, se o programa está a usar a especificación de cor `QApplication::ManyColor`.

`--nograb`

  Indicalle a &Qt; que nunca capture o rato nen o teclado.

`--dograb`

  Unha execución dentro dun depurador pode provocar un `--nograb` implícito, use `-dograb` para sobrescreber.

`--sync`

  Muda para o modo sincrónico para depuración de erros.

`--fn`,`--font` `nomeFonte`

  Define o tipo de letra do programa.

`--bg`,`--background` `cor`

  Configura a cor de fondo por omisión e unha paleta do programa (as sombras claras e escuras son calculadas).

`--fg`,`--foreground` `cor`

  Configura a cor por omisión de primeiro plano

`--btn`,`--button` `cor`

  Configura a cor por omisión dos botóns.

`--name` `nome`

  Estabelece o nome do programa.

`--title` `título`

  Estabelece o título do programa (para a barra de título).

`--visual` `TrueColor`

  Obriga ao programa a usar un aspeito `TrueColor` nun display de 8-bits.

`--inputstyle` `estilo de entrada`

  Estabelece o estilo de entrada de XIM (X Input Method). Os valores posíbeis son `onthespot`, `overthespot`, `offthespot` e `root`.

`--im` `servidor XIM`

  Indica o servidor XIM.

`--noxim`

  Deshabilita o XIM

`--reverse`

  inverte a disposición dos widgets

`--stylesheet` ficheiro.qss

  aplica a folla de estilos de Qt aos widgets do programa

## Consulte tamén

kdeoptions(7)

## Autores

Páxina de manual escrita por &Lauri.Watts; &Lauri.Watts.mail;